PHP fails with the warning: Unable to load dynamic library '/usr/lib64/php/modules/apc.so

Created:

2016-11-16 12:49:30 UTC

Modified:

2017-08-16 17:13:08 UTC

3

Was this article helpful?


Have more questions?

Submit a request

PHP fails with the warning: Unable to load dynamic library '/usr/lib64/php/modules/apc.so

Applicable to:

  • Plesk 11.x for Linux

Symptoms

PHP fails with the warning:

/usr/bin/php-cgi -v
PHP: syntax error, unexpected BOOL_TRUE in /etc/php.ini on line 1799
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/apc.so #name dependent ' - /usr/lib64/php/modules/apc.so #name dependent : cannot open shared object file: No such file or directory in Unknown on line 0

Cause

/usr/lib64/php/modules/apc.so is missed.

Resolution

In /etc/php.ini apc.so module is specified. However, this module is already being loaded from /etc/php.d/apc.ini :

# grep -r apc.so /etc/php*
/etc/php.d/apc.ini:extension = apc.so
/etc/php.ini:extension = apc.so #name dependent on your APC cache install

Comment out apc.so in /etc/php.ini .

Have more questions? Submit a request
Please sign in to leave a comment.